<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://ws.cdyne.com/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" targetNamespace="http://ws.cdyne.com/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://ws.cdyne.com/">
      <s:element name="GetQuote">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="StockSymbol" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetQuoteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetQuoteResult" type="tns:QuoteData"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="QuoteData">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="StockSymbol" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="LastTradeAmount" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="LastTradeDateTime" type="s:dateTime"/>
          <s:element minOccurs="1" maxOccurs="1" name="StockChange" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="OpenAmount" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="DayHigh" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="DayLow" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="StockVolume" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="PrevCls" type="s:decimal"/>
          <s:element minOccurs="0" maxOccurs="1" name="ChangePercent" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="FiftyTwoWeekRange" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="EarnPerShare" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="PE" type="s:decimal"/>
          <s:element minOccurs="0" maxOccurs="1" name="CompanyName" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="QuoteError" type="s:boolean"/>
        </s:sequence>
      </s:complexType>
      <s:element name="SearchSymbol">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SearchString" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="StartIndex" type="s:int"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SearchSymbolResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SearchSymbolResult" type="tns:StockSymbols"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="StockSymbols">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Error" type="tns:ErrorCode"/>
          <s:element minOccurs="1" maxOccurs="1" name="NextIndex" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="SymbolData" type="tns:ArrayOfAnyType"/>
        </s:sequence>
      </s:complexType>
      <s:simpleType name="ErrorCode">
        <s:restriction base="s:string">
          <s:enumeration value="NoError"/>
          <s:enumeration value="DemoLicenseLimitExceeded"/>
          <s:enumeration value="NetworkProblemOccured"/>
        </s:restriction>
      </s:simpleType>
      <s:complexType name="ArrayOfAnyType">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="anyType" nillable="true"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="StockSymbolData">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="StockSymbol" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="CompanyName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Market" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="ExchangeNAQCode" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="ExchangeDescription" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetQuickQuote">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="StockSymbol" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetQuickQuoteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetQuickQuoteResult" type="s:decimal"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetQuoteDataSet">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="StockSymbols" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetQuoteDataSetResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetQuoteDataSetResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema"/>
                  <s:any/>
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetMostActiveExchangeMnemonics">
        <s:complexType/>
      </s:element>
      <s:complexType name="MostActiveMnemonic">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Description" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfMostActiveMnemonic">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="MostActiveMnemonic" type="tns:MostActiveMnemonic"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetMostActiveExchangeMnemonicsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetMostActiveExchangeMnemonicsResult" type="tns:ArrayOfMostActiveMnemonic"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetMostActive">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Mnemonic" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="MostActiveInstruments">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Error" type="tns:ErrorCode"/>
          <s:element minOccurs="0" maxOccurs="1" name="Instruments" type="tns:ArrayOfMostActive"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfMostActive">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="MostActive" type="tns:MostActive"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="MostActive">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="StockSymbol" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Open" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="High" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="Low" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="Last" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="Volume" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="NetChange" type="s:decimal"/>
          <s:element minOccurs="1" maxOccurs="1" name="PercentChange" type="s:decimal"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetMostActiveResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetMostActiveResult" type="tns:MostActiveInstruments"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetExchanges">
        <s:complexType/>
      </s:element>
      <s:complexType name="Exchange">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfExchange">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Exchange" type="tns:Exchange"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetExchangesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetExchangesResult" type="tns:ArrayOfExchange"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAdvanceDeclineStatistics">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ExchangeID" type="s:int"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="AdvanceDeclineStatistics">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Error" type="tns:ErrorCode"/>
          <s:element minOccurs="0" maxOccurs="1" name="Exchange" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Time" type="s:dateTime"/>
          <s:element minOccurs="1" maxOccurs="1" name="NumberAdvanced" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="VolumeAdvanced" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="NumberDeclined" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="VolumeDeclined" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="NumberUnchanged" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="VolumeUnchanged" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="NumberAboveYearHigh" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="NumberBelowYearLow" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="ShortTermTradingIndex" type="s:float"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetAdvanceDeclineStatisticsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetAdvanceDeclineStatisticsResult" type="tns:AdvanceDeclineStatistics"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetYearlyHighLowSymbols">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ExchangeID" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="ListType" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="LastIndex" type="s:int"/>
            <s:element minOccurs="0" maxOccurs="1" name="LicenseKey" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="YearlyHighLow">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Error" type="tns:ErrorCode"/>
          <s:element minOccurs="1" maxOccurs="1" name="NextIndex" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Symbols" type="tns:ArrayOfString"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetYearlyHighLowSymbolsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetYearlyHighLowSymbolsResult" type="tns:YearlyHighLow"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="QuoteData" type="tns:QuoteData"/>
      <s:element name="StockSymbols" type="tns:StockSymbols"/>
      <s:element name="decimal" type="s:decimal"/>
      <s:element name="DataSet" nillable="true">
        <s:complexType>
          <s:sequence>
            <s:element ref="s:schema"/>
            <s:any/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ArrayOfMostActiveMnemonic" nillable="true" type="tns:ArrayOfMostActiveMnemonic"/>
      <s:element name="MostActiveInstruments" nillable="true" type="tns:MostActiveInstruments"/>
      <s:element name="ArrayOfExchange" nillable="true" type="tns:ArrayOfExchange"/>
      <s:element name="AdvanceDeclineStatistics" type="tns:AdvanceDeclineStatistics"/>
      <s:element name="YearlyHighLow" type="tns:YearlyHighLow"/>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetQuoteSoapIn">
    <wsdl:part name="parameters" element="tns:GetQuote"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteSoapOut">
    <wsdl:part name="parameters" element="tns:GetQuoteResponse"/>
  </wsdl:message>
  <wsdl:message name="SearchSymbolSoapIn">
    <wsdl:part name="parameters" element="tns:SearchSymbol"/>
  </wsdl:message>
  <wsdl:message name="SearchSymbolSoapOut">
    <wsdl:part name="parameters" element="tns:SearchSymbolResponse"/>
  </wsdl:message>
  <wsdl:message name="GetQuickQuoteSoapIn">
    <wsdl:part name="parameters" element="tns:GetQuickQuote"/>
  </wsdl:message>
  <wsdl:message name="GetQuickQuoteSoapOut">
    <wsdl:part name="parameters" element="tns:GetQuickQuoteResponse"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteDataSetSoapIn">
    <wsdl:part name="parameters" element="tns:GetQuoteDataSet"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteDataSetSoapOut">
    <wsdl:part name="parameters" element="tns:GetQuoteDataSetResponse"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveExchangeMnemonicsSoapIn">
    <wsdl:part name="parameters" element="tns:GetMostActiveExchangeMnemonics"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveExchangeMnemonicsSoapOut">
    <wsdl:part name="parameters" element="tns:GetMostActiveExchangeMnemonicsResponse"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveSoapIn">
    <wsdl:part name="parameters" element="tns:GetMostActive"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveSoapOut">
    <wsdl:part name="parameters" element="tns:GetMostActiveResponse"/>
  </wsdl:message>
  <wsdl:message name="GetExchangesSoapIn">
    <wsdl:part name="parameters" element="tns:GetExchanges"/>
  </wsdl:message>
  <wsdl:message name="GetExchangesSoapOut">
    <wsdl:part name="parameters" element="tns:GetExchangesResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAdvanceDeclineStatisticsSoapIn">
    <wsdl:part name="parameters" element="tns:GetAdvanceDeclineStatistics"/>
  </wsdl:message>
  <wsdl:message name="GetAdvanceDeclineStatisticsSoapOut">
    <wsdl:part name="parameters" element="tns:GetAdvanceDeclineStatisticsResponse"/>
  </wsdl:message>
  <wsdl:message name="GetYearlyHighLowSymbolsSoapIn">
    <wsdl:part name="parameters" element="tns:GetYearlyHighLowSymbols"/>
  </wsdl:message>
  <wsdl:message name="GetYearlyHighLowSymbolsSoapOut">
    <wsdl:part name="parameters" element="tns:GetYearlyHighLowSymbolsResponse"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteHttpGetIn">
    <wsdl:part name="StockSymbol" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteHttpGetOut">
    <wsdl:part name="Body" element="tns:QuoteData"/>
  </wsdl:message>
  <wsdl:message name="SearchSymbolHttpGetIn">
    <wsdl:part name="SearchString" type="s:string"/>
    <wsdl:part name="StartIndex" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="SearchSymbolHttpGetOut">
    <wsdl:part name="Body" element="tns:StockSymbols"/>
  </wsdl:message>
  <wsdl:message name="GetQuickQuoteHttpGetIn">
    <wsdl:part name="StockSymbol" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetQuickQuoteHttpGetOut">
    <wsdl:part name="Body" element="tns:decimal"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteDataSetHttpGetIn">
    <wsdl:part name="StockSymbols" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteDataSetHttpGetOut">
    <wsdl:part name="Body" element="tns:DataSet"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveExchangeMnemonicsHttpGetIn"/>
  <wsdl:message name="GetMostActiveExchangeMnemonicsHttpGetOut">
    <wsdl:part name="Body" element="tns:ArrayOfMostActiveMnemonic"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveHttpGetIn">
    <wsdl:part name="Mnemonic" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveHttpGetOut">
    <wsdl:part name="Body" element="tns:MostActiveInstruments"/>
  </wsdl:message>
  <wsdl:message name="GetExchangesHttpGetIn"/>
  <wsdl:message name="GetExchangesHttpGetOut">
    <wsdl:part name="Body" element="tns:ArrayOfExchange"/>
  </wsdl:message>
  <wsdl:message name="GetAdvanceDeclineStatisticsHttpGetIn">
    <wsdl:part name="ExchangeID" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetAdvanceDeclineStatisticsHttpGetOut">
    <wsdl:part name="Body" element="tns:AdvanceDeclineStatistics"/>
  </wsdl:message>
  <wsdl:message name="GetYearlyHighLowSymbolsHttpGetIn">
    <wsdl:part name="ExchangeID" type="s:string"/>
    <wsdl:part name="ListType" type="s:string"/>
    <wsdl:part name="LastIndex" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetYearlyHighLowSymbolsHttpGetOut">
    <wsdl:part name="Body" element="tns:YearlyHighLow"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteHttpPostIn">
    <wsdl:part name="StockSymbol" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteHttpPostOut">
    <wsdl:part name="Body" element="tns:QuoteData"/>
  </wsdl:message>
  <wsdl:message name="SearchSymbolHttpPostIn">
    <wsdl:part name="SearchString" type="s:string"/>
    <wsdl:part name="StartIndex" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="SearchSymbolHttpPostOut">
    <wsdl:part name="Body" element="tns:StockSymbols"/>
  </wsdl:message>
  <wsdl:message name="GetQuickQuoteHttpPostIn">
    <wsdl:part name="StockSymbol" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetQuickQuoteHttpPostOut">
    <wsdl:part name="Body" element="tns:decimal"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteDataSetHttpPostIn">
    <wsdl:part name="StockSymbols" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetQuoteDataSetHttpPostOut">
    <wsdl:part name="Body" element="tns:DataSet"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveExchangeMnemonicsHttpPostIn"/>
  <wsdl:message name="GetMostActiveExchangeMnemonicsHttpPostOut">
    <wsdl:part name="Body" element="tns:ArrayOfMostActiveMnemonic"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveHttpPostIn">
    <wsdl:part name="Mnemonic" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetMostActiveHttpPostOut">
    <wsdl:part name="Body" element="tns:MostActiveInstruments"/>
  </wsdl:message>
  <wsdl:message name="GetExchangesHttpPostIn"/>
  <wsdl:message name="GetExchangesHttpPostOut">
    <wsdl:part name="Body" element="tns:ArrayOfExchange"/>
  </wsdl:message>
  <wsdl:message name="GetAdvanceDeclineStatisticsHttpPostIn">
    <wsdl:part name="ExchangeID" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetAdvanceDeclineStatisticsHttpPostOut">
    <wsdl:part name="Body" element="tns:AdvanceDeclineStatistics"/>
  </wsdl:message>
  <wsdl:message name="GetYearlyHighLowSymbolsHttpPostIn">
    <wsdl:part name="ExchangeID" type="s:string"/>
    <wsdl:part name="ListType" type="s:string"/>
    <wsdl:part name="LastIndex" type="s:string"/>
    <wsdl:part name="LicenseKey" type="s:string"/>
  </wsdl:message>
  <wsdl:message name="GetYearlyHighLowSymbolsHttpPostOut">
    <wsdl:part name="Body" element="tns:YearlyHighLow"/>
  </wsdl:message>
  <wsdl:portType name="DelayedStockQuoteSoap">
    <wsdl:operation name="GetQuote">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves a current stock quote.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuoteSoapIn"/>
      <wsdl:output message="tns:GetQuoteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method searches for symbols where company name starts with the given string. Use -1 as StartIndex for initial requestIf there is more data available NextIndex value of the returned structure will have next valid value for StartIndex parameter. -1 means there is no more data.</wsdl:documentation>
      <wsdl:input message="tns:SearchSymbolSoapIn"/>
      <wsdl:output message="tns:SearchSymbolSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves just a stock price.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuickQuoteSoapIn"/>
      <wsdl:output message="tns:GetQuickQuoteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves the stock information and returns it in a dataset.  Use a , to diplay multiple quotes.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuoteDataSetSoapIn"/>
      <wsdl:output message="tns:GetQuoteDataSetSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This helper method returns all available mnemonics that can be used in GetMostActive method</wsdl:documentation>
      <wsdl:input message="tns:GetMostActiveExchangeMnemonicsSoapIn"/>
      <wsdl:output message="tns:GetMostActiveExchangeMnemonicsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns various market statistics, including Most Actives, Dollar Gainers, Percentage Gainers, Dollar Losers and Percentage Loser. Use GetMostActiveExchangeMnemonics to obtain available mnemonics</wsdl:documentation>
      <wsdl:input message="tns:GetMostActiveSoapIn"/>
      <wsdl:output message="tns:GetMostActiveSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns supported exchanges</wsdl:documentation>
      <wsdl:input message="tns:GetExchangesSoapIn"/>
      <wsdl:output message="tns:GetExchangesSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns statistics on advances, declines, unchanged issues and short-term trading index on selected exchange. Use GetExchange() method to get a list of supported exchanges.</wsdl:documentation>
      <wsdl:input message="tns:GetAdvanceDeclineStatisticsSoapIn"/>
      <wsdl:output message="tns:GetAdvanceDeclineStatisticsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method request the list of all symbols trading above their 52 week high OR the list of symbols trading below their 52 week low for the selected  exchange. Use GetExchange() method to get a list of supported exchanges. Use 1 as ListType parameter to get yearly low, use 2 to get yearly high. &lt;br/&gt;If list is too big NextIndex value of the returned structure will contain a non-zero index of next available item. You can use that value as a LastIndex parameter of this method to retrieve next part of the list. Use 0 as LastIndex value with the initial request</wsdl:documentation>
      <wsdl:input message="tns:GetYearlyHighLowSymbolsSoapIn"/>
      <wsdl:output message="tns:GetYearlyHighLowSymbolsSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="DelayedStockQuoteHttpGet">
    <wsdl:operation name="GetQuote">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves a current stock quote.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuoteHttpGetIn"/>
      <wsdl:output message="tns:GetQuoteHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method searches for symbols where company name starts with the given string. Use -1 as StartIndex for initial requestIf there is more data available NextIndex value of the returned structure will have next valid value for StartIndex parameter. -1 means there is no more data.</wsdl:documentation>
      <wsdl:input message="tns:SearchSymbolHttpGetIn"/>
      <wsdl:output message="tns:SearchSymbolHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves just a stock price.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuickQuoteHttpGetIn"/>
      <wsdl:output message="tns:GetQuickQuoteHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves the stock information and returns it in a dataset.  Use a , to diplay multiple quotes.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuoteDataSetHttpGetIn"/>
      <wsdl:output message="tns:GetQuoteDataSetHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This helper method returns all available mnemonics that can be used in GetMostActive method</wsdl:documentation>
      <wsdl:input message="tns:GetMostActiveExchangeMnemonicsHttpGetIn"/>
      <wsdl:output message="tns:GetMostActiveExchangeMnemonicsHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns various market statistics, including Most Actives, Dollar Gainers, Percentage Gainers, Dollar Losers and Percentage Loser. Use GetMostActiveExchangeMnemonics to obtain available mnemonics</wsdl:documentation>
      <wsdl:input message="tns:GetMostActiveHttpGetIn"/>
      <wsdl:output message="tns:GetMostActiveHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns supported exchanges</wsdl:documentation>
      <wsdl:input message="tns:GetExchangesHttpGetIn"/>
      <wsdl:output message="tns:GetExchangesHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns statistics on advances, declines, unchanged issues and short-term trading index on selected exchange. Use GetExchange() method to get a list of supported exchanges.</wsdl:documentation>
      <wsdl:input message="tns:GetAdvanceDeclineStatisticsHttpGetIn"/>
      <wsdl:output message="tns:GetAdvanceDeclineStatisticsHttpGetOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method request the list of all symbols trading above their 52 week high OR the list of symbols trading below their 52 week low for the selected  exchange. Use GetExchange() method to get a list of supported exchanges. Use 1 as ListType parameter to get yearly low, use 2 to get yearly high. &lt;br/&gt;If list is too big NextIndex value of the returned structure will contain a non-zero index of next available item. You can use that value as a LastIndex parameter of this method to retrieve next part of the list. Use 0 as LastIndex value with the initial request</wsdl:documentation>
      <wsdl:input message="tns:GetYearlyHighLowSymbolsHttpGetIn"/>
      <wsdl:output message="tns:GetYearlyHighLowSymbolsHttpGetOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="DelayedStockQuoteHttpPost">
    <wsdl:operation name="GetQuote">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves a current stock quote.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuoteHttpPostIn"/>
      <wsdl:output message="tns:GetQuoteHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method searches for symbols where company name starts with the given string. Use -1 as StartIndex for initial requestIf there is more data available NextIndex value of the returned structure will have next valid value for StartIndex parameter. -1 means there is no more data.</wsdl:documentation>
      <wsdl:input message="tns:SearchSymbolHttpPostIn"/>
      <wsdl:output message="tns:SearchSymbolHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves just a stock price.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuickQuoteHttpPostIn"/>
      <wsdl:output message="tns:GetQuickQuoteHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method retrieves the stock information and returns it in a dataset.  Use a , to diplay multiple quotes.  Use a license key of 0 for testing.</wsdl:documentation>
      <wsdl:input message="tns:GetQuoteDataSetHttpPostIn"/>
      <wsdl:output message="tns:GetQuoteDataSetHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This helper method returns all available mnemonics that can be used in GetMostActive method</wsdl:documentation>
      <wsdl:input message="tns:GetMostActiveExchangeMnemonicsHttpPostIn"/>
      <wsdl:output message="tns:GetMostActiveExchangeMnemonicsHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns various market statistics, including Most Actives, Dollar Gainers, Percentage Gainers, Dollar Losers and Percentage Loser. Use GetMostActiveExchangeMnemonics to obtain available mnemonics</wsdl:documentation>
      <wsdl:input message="tns:GetMostActiveHttpPostIn"/>
      <wsdl:output message="tns:GetMostActiveHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns supported exchanges</wsdl:documentation>
      <wsdl:input message="tns:GetExchangesHttpPostIn"/>
      <wsdl:output message="tns:GetExchangesHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method returns statistics on advances, declines, unchanged issues and short-term trading index on selected exchange. Use GetExchange() method to get a list of supported exchanges.</wsdl:documentation>
      <wsdl:input message="tns:GetAdvanceDeclineStatisticsHttpPostIn"/>
      <wsdl:output message="tns:GetAdvanceDeclineStatisticsHttpPostOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">This method request the list of all symbols trading above their 52 week high OR the list of symbols trading below their 52 week low for the selected  exchange. Use GetExchange() method to get a list of supported exchanges. Use 1 as ListType parameter to get yearly low, use 2 to get yearly high. &lt;br/&gt;If list is too big NextIndex value of the returned structure will contain a non-zero index of next available item. You can use that value as a LastIndex parameter of this method to retrieve next part of the list. Use 0 as LastIndex value with the initial request</wsdl:documentation>
      <wsdl:input message="tns:GetYearlyHighLowSymbolsHttpPostIn"/>
      <wsdl:output message="tns:GetYearlyHighLowSymbolsHttpPostOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="DelayedStockQuoteSoap" type="tns:DelayedStockQuoteSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetQuote">
      <soap:operation soapAction="http://ws.cdyne.com/GetQuote" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <soap:operation soapAction="http://ws.cdyne.com/SearchSymbol" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <soap:operation soapAction="http://ws.cdyne.com/GetQuickQuote" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <soap:operation soapAction="http://ws.cdyne.com/GetQuoteDataSet" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <soap:operation soapAction="http://ws.cdyne.com/GetMostActiveExchangeMnemonics" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <soap:operation soapAction="http://ws.cdyne.com/GetMostActive" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <soap:operation soapAction="http://ws.cdyne.com/GetExchanges" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <soap:operation soapAction="http://ws.cdyne.com/GetAdvanceDeclineStatistics" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <soap:operation soapAction="http://ws.cdyne.com/GetYearlyHighLowSymbols" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="DelayedStockQuoteSoap12" type="tns:DelayedStockQuoteSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetQuote">
      <soap12:operation soapAction="http://ws.cdyne.com/GetQuote" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <soap12:operation soapAction="http://ws.cdyne.com/SearchSymbol" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <soap12:operation soapAction="http://ws.cdyne.com/GetQuickQuote" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <soap12:operation soapAction="http://ws.cdyne.com/GetQuoteDataSet" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <soap12:operation soapAction="http://ws.cdyne.com/GetMostActiveExchangeMnemonics" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <soap12:operation soapAction="http://ws.cdyne.com/GetMostActive" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <soap12:operation soapAction="http://ws.cdyne.com/GetExchanges" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <soap12:operation soapAction="http://ws.cdyne.com/GetAdvanceDeclineStatistics" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <soap12:operation soapAction="http://ws.cdyne.com/GetYearlyHighLowSymbols" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="DelayedStockQuoteHttpGet" type="tns:DelayedStockQuoteHttpGet">
    <http:binding verb="GET"/>
    <wsdl:operation name="GetQuote">
      <http:operation location="/GetQuote"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <http:operation location="/SearchSymbol"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <http:operation location="/GetQuickQuote"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <http:operation location="/GetQuoteDataSet"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <http:operation location="/GetMostActiveExchangeMnemonics"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <http:operation location="/GetMostActive"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <http:operation location="/GetExchanges"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <http:operation location="/GetAdvanceDeclineStatistics"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <http:operation location="/GetYearlyHighLowSymbols"/>
      <wsdl:input>
        <http:urlEncoded/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="DelayedStockQuoteHttpPost" type="tns:DelayedStockQuoteHttpPost">
    <http:binding verb="POST"/>
    <wsdl:operation name="GetQuote">
      <http:operation location="/GetQuote"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SearchSymbol">
      <http:operation location="/SearchSymbol"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuickQuote">
      <http:operation location="/GetQuickQuote"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetQuoteDataSet">
      <http:operation location="/GetQuoteDataSet"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActiveExchangeMnemonics">
      <http:operation location="/GetMostActiveExchangeMnemonics"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetMostActive">
      <http:operation location="/GetMostActive"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetExchanges">
      <http:operation location="/GetExchanges"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvanceDeclineStatistics">
      <http:operation location="/GetAdvanceDeclineStatistics"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetYearlyHighLowSymbols">
      <http:operation location="/GetYearlyHighLowSymbols"/>
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded"/>
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="DelayedStockQuote">
    <wsdl:port name="DelayedStockQuoteSoap" binding="tns:DelayedStockQuoteSoap">
      <soap:address location="http://ws.cdyne.com/delayedstockquote/delayedstockquote.asmx"/>
    </wsdl:port>
    <wsdl:port name="DelayedStockQuoteSoap12" binding="tns:DelayedStockQuoteSoap12">
      <soap12:address location="http://ws.cdyne.com/delayedstockquote/delayedstockquote.asmx"/>
    </wsdl:port>
    <wsdl:port name="DelayedStockQuoteHttpGet" binding="tns:DelayedStockQuoteHttpGet">
      <http:address location="http://ws.cdyne.com/delayedstockquote/delayedstockquote.asmx"/>
    </wsdl:port>
    <wsdl:port name="DelayedStockQuoteHttpPost" binding="tns:DelayedStockQuoteHttpPost">
      <http:address location="http://ws.cdyne.com/delayedstockquote/delayedstockquote.asmx"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>